package com.ruoyi.abuwx.service;

import com.ruoyi.abuwx.domain.QuestionTask;

import java.util.List;

/**
 * 每日答题任务管理Service接口
 *
 * @author lujie
 * @date 2025-01-07
 */
public interface IQuestionTaskService {
    /**
     * 查询每日答题任务管理
     *
     * @param id 每日答题任务管理主键
     * @return 每日答题任务管理
     */
    public QuestionTask selectQuestionTaskById(Long id);

    /**
     * 查询每日答题任务管理列表
     *
     * @param questionTask 每日答题任务管理
     * @return 每日答题任务管理集合
     */
    public List<QuestionTask> selectQuestionTaskList(QuestionTask questionTask);

    /**
     * 新增每日答题任务管理
     *
     * @param questionTask 每日答题任务管理
     * @return 结果
     */
    public int insertQuestionTask(QuestionTask questionTask);

    /**
     * 修改每日答题任务管理
     *
     * @param questionTask 每日答题任务管理
     * @return 结果
     */
    public int updateQuestionTask(QuestionTask questionTask);

    /**
     * 批量删除每日答题任务管理
     *
     * @param ids 需要删除的每日答题任务管理主键集合
     * @return 结果
     */
    public int deleteQuestionTaskByIds(Long[] ids);

    /**
     * 删除每日答题任务管理信息
     *
     * @param id 每日答题任务管理主键
     * @return 结果
     */
    public int deleteQuestionTaskById(Long id);
}
